Bug 173488 - selinux errors (invalid file contexts) during yum updates
selinux errors (invalid file contexts) during yum updates
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-17 10:55 EST by Orion Poplawski
Modified: 2007-11-30 17:11 EST (History)
4 users (show)

See Also:
Fixed In Version: 1.27.1-2.17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-15 19:00:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2005-11-17 10:55:22 EST
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Orion Poplawski 2005-11-17 10:57:00 EST
Sorry.  With selinux-policy-targeted-1.27.1-2.14 I get the following error
during yum updates:


/etc/cron.daily/yum.cron:

/etc/selinux/targeted/contexts/files/file_contexts:  line 825 has invalid
context system_u:object_r:lvm_exec_t
/etc/selinux/targeted/contexts/files/file_contexts:  line 1572 has invalid
context system_u:object_r:slapd_lock_t
/etc/selinux/targeted/contexts/files/file_contexts:  line 1579 has invalid
context system_u:object_r:slapd_cert_t
/etc/selinux/targeted/contexts/files/file_contexts:  line 825 has invalid
context system_u:object_r:lvm_exec_t
/etc/selinux/targeted/contexts/files/file_contexts:  line 1572 has invalid
context system_u:object_r:slapd_lock_t
/etc/selinux/targeted/contexts/files/file_contexts:  line 1579 has invalid
context system_u:object_r:slapd_cert_t

Comment 2 Ville Skyttä 2005-11-29 03:25:15 EST
I get this too on every rpm transaction.
Comment 3 Charles R. Anderson 2005-11-29 14:11:43 EST
Apparently, installing selinux-policy-targeted-sources, then removing it,
"fixes" this issue.
Comment 4 Ville Skyttä 2005-11-29 14:29:47 EST
Seems so indeed.
Comment 5 Peter Gordon 2005-11-29 21:35:14 EST
Charles' recommendation of install selinux-policy-targeted-sources also fixes
this for me.
Comment 6 Peter Gordon 2005-11-29 21:36:51 EST
That should be "installing," sorry. 
Comment 7 Daniel Walsh 2006-01-02 12:44:11 EST
Fixed in selinux-policy-targeted-1.27.1-2.17

Note You need to log in before you can comment on or make changes to this bug.